Skip to main content
`Ctrl`+`K`

# PetscDrawType

String with the name of a `PetscDraw` implementation, for example `PETSC_DRAW_X` is for X Windows.

## Synopsis

    typedef const char *PetscDrawType;
    #define PETSC_DRAW_X     "x"
    #define PETSC_DRAW_NULL  "null"
    #define PETSC_DRAW_WIN32 "win32"
    #define PETSC_DRAW_TIKZ  "tikz"
    #define PETSC_DRAW_IMAGE "image"

## See Also

`PetscDrawSetType()`, `PetscDraw`, `PetscViewer`, `PetscDrawCreate()`, `PetscDrawRegister()`

## Level

beginner

## Location

include/petscdrawtypes.h

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages